#######
#
# after.rpms.sh
#
#######

#
# remove psacct rotation directives
if [ -f /etc/logrotate.s/psacct ]
then
	rm -f /etc/logrotate.d/psacct
fi

#
# enable login services
for SVC in eklogin klogin kshell telnet
do
	/sbin/chkconfig $SVC on
done

#
# disable unneeded services
for SVC in anacron apmd atd canna gpm kudzu sendmail xfs
do
	/sbin/chkconfig --del $SVC
done

#
# add CDF groups and accounts
/usr/sbin/groupadd -g 4525 products
/usr/sbin/groupadd -g 3286 cdfsoft
/usr/sbin/groupadd -g 9510 cdfcaf
/usr/sbin/useradd -M -g cdfsoft -u 7737 cdfsoft
/usr/sbin/useradd -M -g cdfcaf -u 10155 cdfcaf
/usr/sbin/useradd -M -g cdfcaf -u 10261 cafmon

#
# create compat-db link (as per UCSD)
# provided by compat-db
# compat-db provided in legacy-software-support
if [ -f /usr/lib/libdb1.so.2 ]
then
        ln -s /usr/lib/libdb1.so.2 /usr/lib/libdb.so.2
fi
#
# Need some links for CDF code to build.
# provided by openssl096b
if [ -h /lib/libcrypto.so.0.9.6b ] && [ ! -h /lib/libcrypto.so.2 ]
then
        ln -s /lib/libcrypto.so.0.9.6b /lib/libcrypto.so.2
fi
# provided by openssl096b
if [ -h /lib/libssl.so.0.9.6b ] && [ ! -h /lib/libssl.so.2 ]
then
        ln -s /lib/libssl.so.0.9.6b /lib/libssl.so.2
fi
# provided by tcl
if [ -h /usr/lib/libtcl8.3.so ] && [ ! -h /usr/lib/libtcl.so.0 ]
then
        ln -s /usr/lib/libtcl8.3.so /usr/lib/libtcl.so.0
fi
